Updating current 3.5 Prism project to .NET 4 - Can I do this now?

Topics: Prism v2 - WPF 3.5
Apr 22, 2010 at 2:48 PM

Since I can't seem to find a definitive answer, this is probably a dumb question, but...

I would like to upgrade my current .NET 3.5 Prism V2 project to .NET 4.0.  Is this something I can do now or will I need to wait for Prism 4.0?


Apr 22, 2010 at 9:22 PM

Well, I have figured out that I could do this.  A few issues that I am working through so not sure it's all going to end up working, but we'll see.  Will post some results if/when I get it completed.

Right now, I am running into issues with how events are handled by my EventCommander which comes from the Cinch framework.

Apr 23, 2010 at 7:10 AM

i did it and no problem Gorter! Works fine on .Net4, silverlight 4 and VS 2010 Professional.